Debian Bug report logs - #728559
ITP: libterm-progressbar-quiet-perl -- extension to libterm-progressbar-perl to only show a progress meter if run interactively

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Florian Schlichting <fsfs@debian.org>

Date: Sat, 2 Nov 2013 23:00:02 UTC

Owned by: Florian Schlichting <fsfs@debian.org>

Severity: wishlist

Fixed in version libterm-progressbar-quiet-perl/0.31-1

Done: Florian Schlichting <fsfs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#728559; Package wnpp. (Sat, 02 Nov 2013 23:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Schlichting <fsfs@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Sat, 02 Nov 2013 23:00:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Florian Schlichting <fsfs@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libterm-progressbar-quiet-perl -- extension to libterm-progressbar-perl to only show a progress meter if run interactively
Date: Sat, 02 Nov 2013 23:57:21 +0100
Package: wnpp
Severity: wishlist
Owner: Florian Schlichting <fsfs@debian.org>

* Package name    : libterm-progressbar-quiet-perl
  Version         : 0.31
  Upstream Author : Leon Brocard, acme@astray.com
* URL             : https://metacpan.org/release/Term-ProgressBar-Quiet
* License         : GPL-1+, Artistic
  Programming Lang: Perl
  Description     : extension to libterm-progressbar-perl to only show a progress meter if run interactively

Term::ProgressBar is a wonderful module for showing progress bars on the
terminal. Term::ProgressBar::Quiet acts very much like that module when
it is run interactively. However, when it is not run interactively (for
example, as a cron job) then it does not show the progress bar.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 03 Nov 2013 07:06:06 GMT) Full text and rfc822 format available.

Reply sent to Florian Schlichting <fsfs@debian.org>:
You have taken responsibility. (Sat, 23 Nov 2013 16:03:40 GMT) Full text and rfc822 format available.

Notification sent to Florian Schlichting <fsfs@debian.org>:
Bug acknowledged by developer. (Sat, 23 Nov 2013 16:03:40 GMT) Full text and rfc822 format available.

Message #12 received at 728559-close@bugs.debian.org (full text, mbox):

From: Florian Schlichting <fsfs@debian.org>
To: 728559-close@bugs.debian.org
Subject: Bug#728559: fixed in libterm-progressbar-quiet-perl 0.31-1
Date: Sat, 23 Nov 2013 16:00:09 +0000
Source: libterm-progressbar-quiet-perl
Source-Version: 0.31-1

We believe that the bug you reported is fixed in the latest version of
libterm-progressbar-quiet-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 728559@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Florian Schlichting <fsfs@debian.org> (supplier of updated libterm-progressbar-quiet-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 03 Nov 2013 00:03:32 +0100
Source: libterm-progressbar-quiet-perl
Binary: libterm-progressbar-quiet-perl
Architecture: source all
Version: 0.31-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Florian Schlichting <fsfs@debian.org>
Description: 
 libterm-progressbar-quiet-perl - only show a progress meter if run interactively
Closes: 728559
Changes: 
 libterm-progressbar-quiet-perl (0.31-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #728559)
Checksums-Sha1: 
 f4831bfdf55a987ebbdc4ab05568f62072e78832 2276 libterm-progressbar-quiet-perl_0.31-1.dsc
 7e076ef86f5c5f3facffedde204fc29cf7098066 1924 libterm-progressbar-quiet-perl_0.31.orig.tar.gz
 6af759236de1fc40d0a65ae8ab60e04ac2079622 1444 libterm-progressbar-quiet-perl_0.31-1.debian.tar.gz
 0d882f5c9d32fab5d607244d2dee9bddea3c3d3a 5114 libterm-progressbar-quiet-perl_0.31-1_all.deb
Checksums-Sha256: 
 14fc21ff28584dd898f5d673a7748d5686304207f27cfdd5ca8b5d6c8cf7b602 2276 libterm-progressbar-quiet-perl_0.31-1.dsc
 25675292f588bc29d32e710cf3667da9a2a1751e139801770a9fdb18cd2184a6 1924 libterm-progressbar-quiet-perl_0.31.orig.tar.gz
 bb9834b889b08984d26ab7d53c576be98631d8145bebd0bacec1ab5a742f54e6 1444 libterm-progressbar-quiet-perl_0.31-1.debian.tar.gz
 b677628286fbedc7f0ff58c7bccf8f818495dc286f5933cd5c5544f2c77cf82a 5114 libterm-progressbar-quiet-perl_0.31-1_all.deb
Files: 
 9acd36d99cf848008fa76f6ff8a484e5 2276 perl optional libterm-progressbar-quiet-perl_0.31-1.dsc
 2ed5b6ac5d480a14ff3233a58987a2e4 1924 perl optional libterm-progressbar-quiet-perl_0.31.orig.tar.gz
 d4c847c344f2d60c2f81ceea3bd36b53 1444 perl optional libterm-progressbar-quiet-perl_0.31-1.debian.tar.gz
 544270e1733f86197a7d94a626b11295 5114 perl optional libterm-progressbar-quiet-perl_0.31-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSdYVYAAoJEBKXO25y3Ae1vZAP/R3jMrHI/hnv/NzM9x7ZRSEq
F5BPxbum7k37p3RY21PZydwv4relIlvPL3JtDkoRNdA4Uq0w9chGE47mKdIs27jI
V00ooQyPk+TSpOLDU6jDFVzyaLgrNBVmGMWO4Yml29iOB5aVUxmpU2rmowoE20PD
RX6SAzXHzljLCQlli8t2FmHCd74Inktf0fmeWFgYJX0ZywprxdB044Dz/QoWPJmp
aVo87Lqtw36xvPxN8ua/H3UkOYenwI89UksUssDvzfuUeKpypEXA4QWcaZ8gpYTH
mcLU3ISFbXFE2gQn0RCw7PhO3GKYJk17TCdiccs3pr4MsUNTUSrxZacjo8TwZMUw
tG3NAH7fT7oaTmHvXkrpEAsje1GJfvfgeJvatx2fzBAUdj4WtY43Fjl3YkXbiwTO
rQF+DVHdy2c41BSvnOO1mQOPM2rqP7tHDIJI/VYlwSiNZBDYH3nnQPldUYksosz9
nzitWZM/SvR6UAUkXVCwZrY3n03CHmjSMctZMjm6WJ4MdcZ84Ir/SCtjrcJBQfgt
9LlvQ01ii3eNtSDIJ8S6Nbj8py7/vR+Cr/+FEkoDjYmdcKeF1ENIgaPKlBAFyPbr
Gbwg3aJ7DtQ07at4cU40UTfQ2ljBIokZ3+e18qESZj0J7Pe/vLpFupFfF3MICJ6b
kNmzZ36XHV+zktTflcuE
=mxvx
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Dec 2013 07:28:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:11:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.